within Modelica.Electrical.QuasiStatic.Polyphase;
package Ideal "Ideal components for AC polyphase models"
  extends Modelica.Icons.Package;

  annotation (Icon(coordinateSystem(extent={{-100,-100},{100,100}},
          preserveAspectRatio=true), graphics={
        Line(origin={10,34}, points={{-100,-60},{-54,-60}}),
        Ellipse(origin={10,34}, extent={{-54,-64},{-46,-56}}),
        Line(origin={10,34}, points={{-47,-58},{30,-10}}),
        Line(origin={10,34}, points={{30,-40},{30,-60}}),
        Line(origin={10,34}, points={{30,-60},{80,-60}})}), Documentation(
        info="<html>
<p>This package hosts ideal models for quasi-static polyphase circuits.
Quasi-static theory can be found in the
<a href=\"modelica://Modelica.Electrical.QuasiStatic.UsersGuide.References\">references</a>.
</p>
<h4>See also</h4>

<a href=\"modelica://Modelica.Electrical.QuasiStatic.SinglePhase.Ideal\">SinglePhase.Ideal</a>

</html>"));
end Ideal;
